// Projects, projects terms
.projects-item-instance {

	.masonry-layout & {
		overflow: hidden;
	}

	.project-media,
	.project-terms-media {
		overflow: hidden;
		z-index: 1;
	}

	.hover-content {
		background-color: transparent;
		overflow: hidden;
		text-align: center;

		@include media-breakpoint-up(xl) {
			padding-left: 20px;
			padding-right: 20px;
		}

		&:before {
			content: '';
			position: absolute;
			display: block;
			left: 0;
			right: 0;
			top: 0;
			bottom: 0;
			z-index: 1;
		}

		> * {
			z-index: 2;
		}
	}

	.simple-icons-wrapper {
		position: absolute;
		top: 0;
		right: 0;
		padding: 30px;
		z-index: 1;

		.simple-icon {
			display: block;
			margin: 0 0 10px;

			&:last-child {
				margin-bottom: 0;
			}
		}
	}

	.simple-icon {
		width: 38px;
		height: 38px;
		text-align: center;

		span {
			margin: 0;
			line-height: 38px;
		}
	}

	.featured-image {
		a { pointer-events: none; }

		img {
			object-fit: cover;

			.ie & {
				font-family: 'object-fit: cover';
			}
		}
	}

	// Fade hover item animation
	&.simple-fade-hover {
		$transition-time: cubic-bezier(0.600, -0.280, 0.735, 0.045);

		.featured-image {
			img {
				transition: .4s $transition-time;
				transform: scale(1.1);
			}
		}

		.project-media:hover,
		.project-terms-media:hover {
			.featured-image img {
				transition: .4s cubic-bezier(0.780, 0.030, 0.000, 1.000);
				transform: scale(1.1) translate3d(0, -5%, 0);
			}
		}

		.hover-content {
			opacity: 1;

			&:before {
				top: 100%;
				transition: .3s $transition-time;
				transition-delay: .25s;
			}

			> * {
				transform: translateY(300%);
				transition: .3s $transition-time;
				opacity: 0;
			}

			> *:nth-child(1) {
				transition-delay: 0.2s;
			}
			> *:nth-child(2) {
				transition-delay: 0.15s;
			}
			> *:nth-child(3) {
				transition-delay: 0.1s;
			}
			> *:nth-child(4) {
				transition-delay: 0.05s;
			}

			&:hover {
				&:before {
					top: 0;
					transition: .3s cubic-bezier(0.780, 0.030, 0.000, 1.000);
					transition-delay: 0s;
				}

				> * {
					transform: translateY(0);
					transition: .45s cubic-bezier(0.640, 0.280, 0.280, 1.185);
					opacity: 1;
				}

				> *:nth-child(1) {
					transition-delay: 0.1s;
				}
				> *:nth-child(2) {
					transition-delay: 0.15s;
				}
				> *:nth-child(3) {
					transition-delay: 0.2s;
				}
				> *:nth-child(4) {
					transition-delay: 0.25s;
				}
			}
		}
	}
}

// Projects
.cherry-projects-wrapper {

	.projects-item {
		.project-entry-title {
			font-size: 30px;
		}
	}

	.projects-container {

		&.grid-layout {
			.projects-item-instance {
				display: flex;
				margin-bottom: 0 !important;

				.inner-wrapper {
					width: 100%;
				}

				.project-media:only-child,
				.featured-image,
				.featured-image img {
					height: 100%;
				}
			}
		}

		&:not(.list-layout) {
			.projects-item-instance .hover-content {
				a {
					border-bottom: 1px solid transparent;

					&:hover {
						color: inherit;
						border-bottom-color: currentColor;
					}
				}
			}
		}

		&.list-layout {
			@include media-breakpoint-down(xs) {
				.inner-wrapper {
					flex-wrap: wrap;
				}

				.project-media {
					margin-right: 0;
				}

				.project-content {
					margin-top: 15px;
				}

				.project-media,
				.project-content {
					width: 100%;
				}
			}

			.project-content {
				margin-bottom: 15px;
				min-width: calc(70% - 20px);
			}
		}

		// Custom templates
		&.grid-default-2-tmpl,
		&.masonry-default-2-tmpl,
		&.justified-default-2-tmpl,
		&.cascading-grid-default-2-tmpl{

			.projects-item {

				.project-media {
					@include border-radius();
				}

				.hover-content {
					padding: 15px 20px;
					justify-content: flex-end;
					text-align: left;

					@include media-breakpoint-up(md) {
						padding: 30px 40px;
					}

					> * {
						align-self: flex-start;
					}
				}

				.project-entry-title {
					font-size: 18px;
					line-height: 1.5;
				}
			}

			&[data-settings*='"item-margin":"0"'] {
				.projects-item {
					.project-media {
						border-radius: 0;
					}
				}
			}
		}
	}
}

// Project terms
.cherry-projects-terms-wrapper .projects-terms-container {

	&.grid-layout,
	&.cascading-grid-layout {
		.projects-item-instance {
			display: flex;
			margin-bottom: 0 !important;

			.inner-wrapper {
				width: 100%;
			}

			.project-terms-media:only-child,
			.featured-image,
			.featured-image img{
				height: 100%;
			}
		}
	}

	&.grid-layout,
	&.masonry-layout,
	&.cascading-grid-layout {
		.projects-terms-item {

			.project-terms-media {
				@include border-radius();
			}

			.hover-content {
				padding: 15px 20px;
				justify-content: flex-end;
				text-align: left;

				@include media-breakpoint-up(md) {
					padding: 30px 40px;
				}

				> * {
					align-self: flex-start;
				}

				a {
					border-bottom: 1px solid transparent;

					&:hover {
						color: inherit;
						border-bottom-color: currentColor;
					}
				}
			}

			.project-terms-content {
				h5 {
					font-size: 18px;
					line-height: 1.5;
					margin-bottom: 0;
				}

				p {
					font-size: 14px;
					margin-top: 5px;
					margin-bottom: 0;
				}

				.post-count {
					margin-top: 10px;
				}
			}
		}

		&[data-settings*='"item-margin":"0"'] {
			.projects-item {
				.project-media {
					border-radius: 0;
				}
			}
		}
	}

	&.list-layout {
		.projects-terms-item {

			@include media-breakpoint-down(xs) {
				.inner-wrapper {
					flex-wrap: wrap;
				}

				.project-terms-media {
					margin-right: 0;
				}

				.project-terms-content {
					margin-top: 15px;
				}

				.project-terms-media,
				.project-terms-content {
					width: 100%;
				}
			}

			.project-terms-content {

				margin-bottom: 15px;
				min-width: calc(70% - 20px);

				h5 {
					font-size: 30px;
				}

				p {
					margin-bottom: 0;
				}

				.post-count {
					margin-top: 20px;
				}
			}
		}
	}
}

// Loader
.cherry-projects-wrapper .cherry-projects-ajax-loader,
.cherry-projects-terms-wrapper .cherry-projects-ajax-loader {
	z-index: 990;
	background-color: transparent;
}

// Filters and pagination style
.cherry-projects-wrapper {

	.projects-filters {
		justify-content: center;
		margin-top: 0;
		margin-bottom: 35px;

		@extend %cherry-filters-list;

		.position-fullwidth.archive &,
		.position-fullwidth .elementor-col-100 &,
		.position-fullwidth [data-col="100"] & {
			@extend %cherry-filters-list--mod;
		}
	}

	ul.projects-filters-list,
	ul.order-filters {
		list-style: none;
		margin-left: 0;
		font-weight: inherit;

		> li {
			float: none;
			display: inline-block;

			@extend %cherry-filters-item;
		}

		li {
			span {
				transition: .1s;
			}
		}
	}

	ul.order-filters {
		> li {
			ul.orderby-list {
				box-shadow: 0 0 10px rgba( $color__dark, 0.3 );
				left: auto;
				right: 20px;
				margin-top: 10px;

				&:before {
					content: '';
					height: 10px;
					position: absolute;
					left: 0;
					right: 0;
					bottom: 100%;
					display: block;
				}

				li {
					margin: 8px 0;

					span {
						color: inherit;
					}
				}
			}
		}
	}

	.projects-pagination {
		margin: 35px 0 0;
		justify-content: flex-start;

		.page-link li {
			display: inline-block;
			margin: 0;
			float: none;
		}

		.page-navigation span,
		.page-link span {
			display: inline-block;
			line-height: 39px;
			min-width: 39px;
			height: 39px;
			padding: 0 2px;
			text-align: center;
			text-decoration: none;
			transition: .1s;
			margin: 0 4px 4px 0;
			border: none;
			font-weight: 700;
			font-size: 12px;
		}

		.page-navigation span{
			font-size: 10px;
		}

		.page-link {
			li.active {
				pointer-events: none;
			}
		}
	}

	.projects-ajax-button-wrapper {
		margin: 35px 0 0;

		.projects-ajax-button span {
			@include btn;
		}
	}
}

// Archive page
.post-type-archive-projects {
	.site-content_wrap {
		margin-top: 0;
	}
}

// Single projects style
.cherry-projects-single {
	&__header,
	&__media,
	&__additional {
		.elementor-page.content-layout-fullwidth & {
			@include make-container();
		}
	}

	&__container {
		display: block;
	}

	&__media {
		margin-right: 0;

		.featured-image a {
			margin-bottom: 35px;
		}
	}

	&__content {
		margin-top: 10px;

		.elementor-page & {
			margin-top: 0;
		}
	}

	.post-terms {
		margin: 0;
	}
}

// Single projects modules
.cherry-projects-single {

	.featured-image a {
		pointer-events: none;
	}

	.featured-image,
	.additional-image {
		a {
			&:before {
				content: '\ed3c';
				position: absolute;
				@extend %iconsmind;
				font-size: 32px;
				line-height: 1;
				left: 50%;
				top: 50%;
				width: 32px;
				height: 32px;
				text-align: center;
				margin: -16px 0 0 -16px;
				transition: all 0.4s ease-out;
				z-index: 1;
				transform: scale(0);
				opacity: 0;
				color: $color__white;
			}

			.cover {
				transition: all 0.4s ease-out;
			}

			&:focus {
				outline: 0;
			}

			&:hover {
				&:before {
					opacity: 1;
					transform: scale(1);
				}
			}
		}
	}

	.cherry-projects-single-details-list {

		margin-top: 30px;
		margin-bottom: 0;

		.cherry-projects-details-list-title {
			margin-bottom: 25px;
		}
		ul {
			list-style: none;
			margin-left: 0;
			font-weight: inherit;

			li {
				margin-bottom: 0;
				font-style: italic;
				span {
					display: inline-block;
					font-weight: 700;
					color: inherit;
					font-style: normal;
				}
				& + li {
					margin-top: 15px;
				}
			}
		}
	}

	.cherry-projects-single-skills-list {
		margin-top: 30px;
		ul {
			list-style: none;
			margin-left: 0;
			font-weight: inherit;
		}
		.cherry-skill-item {
			margin-bottom: 0;
			position: relative;
			& + .cherry-skill-item {
				margin-top: 33px;
			}
			.skill-label {
				padding-right: 60px;
				margin-bottom: 15px;
			}
			.skill-bar {
				height: auto;
				padding: 0;
				position: static;

				&,
				span {
					@include border-radius(3px);
				}

				span {
					display: block;
					height: 6px;
					position: static;

					em {
						position: absolute;
						top: 0;
						right: 0;
					}
				}
			}
		}
	}

	.cherry-projects-additional-image-list,
	.cherry-projects-video-list,
	.cherry-projects-audio-list {
		margin-bottom: 35px;
	}

	.cherry-projects-additional-image-list {
		.additional-image-list li {
			margin-top: 0;
		}
	}

	.cherry-projects-video-list {
		* + .video-item,
		* + iframe {
			margin-top: 30px;
		}
	}
}

.cherry-projects-slider {
	&__instance {
		margin-bottom: 35px;

		.slider-pro {
			background: transparent;
		}

		// sp-full-screen-button
		.slider-pro .sp-full-screen-button {}

		// sp-thumbnail
		.slider-pro .sp-thumbnails-container {
			background: transparent;

			&.sp-bottom-thumbnails {
				position: relative;
				padding: 0;
			}

			.sp-thumbnail-container {

				.sp-thumbnail {
					border: none;
					opacity: .5;
					transition: .3s;
					&:hover {
						opacity: .8;
						border: none;
					}
				}

				&.sp-selected-thumbnail {
					.sp-thumbnail {
						opacity: 1;
					}
				}
			}
		}
	}
}
